LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
CharSet.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::CharSet
| These values are used to specify the characters which are available in a font and their codes.

## Variables
const short | DONTKNOW = 0
| specifies an unknown character set. More...
const short | ANSI = 1
| specifies the ANSI character set. More...
const short | MAC = 2
| specifies the Apple Macintosh character set. More...
const short | IBMPC_437 = 3
| specifies the IBM PC character set number 437. More...
const short | IBMPC_850 = 4
| specifies the IBM PC character set number 850. More...
const short | IBMPC_860 = 5
| specifies the IBM PC character set number 860. More...
const short | IBMPC_861 = 6
| specifies the IBM PC character set number 861. More...
const short | IBMPC_863 = 7
| specifies the IBM PC character set number 863. More...
const short | IBMPC_865 = 8
| specifies the IBM PC character set number 865. More...
const short | SYSTEM = 9
| specifies the system character set. More...
const short | SYMBOL = 10
| specifies a set of symbols. More...